# Specific licenses for external files #

The following files are distributed with IVRE but are **not** part of
the project and therefore have their own copyright and licenses.

## AngularJS ##

Files under the `web/static/an` directory come from the
[AngularJS](https://angularjs.org/) project.

They are licensed under [MIT
license](https://github.com/angular/angular.js/blob/master/LICENSE).

## Twitter Bootstrap ##

Files under the `web/static/bs` directory come from the
[Twitter Bootstrap](http://getbootstrap.com/2.3.2/) project.

They are licensed under
[Apache License v2.0](https://www.apache.org/licenses/LICENSE-2.0).

The files under the `web/static/bs/img` come from
[Glyphicons](http://glyphicons.com/) and are made available by the
Twitter Bootstrap project.

## jQuery ##

Files under the `web/static/jq` directory come from the
[jQuery](https://jquery.com/) project.

They are licensed under [MIT
license](https://en.wikipedia.org/wiki/MIT_License).

## D3.js ##

Files under the `web/static/d3` directory come from the
[D3.js](https://d3js.org/) project.

They are licensed under
[BSD license](http://opensource.org/licenses/BSD-3-Clause).

## Linkurious ##

Files under the `web/static/lk` directory come from the
[Linkurious](http://linkurio.us/).

They are licensed under
[GPL v3 license](https://www.gnu.org/licenses/gpl-3.0.en.html).

## flag-icon-css ##

Files under the `web/static/fi` directory come from the
[flag-icon-css](https://lipis.github.io/flag-icon-css/) project.

It includes the European flag from [pull request
#71](https://github.com/lipis/flag-icon-css/pull/71/).

These files are licensed under [MIT
license](https://en.wikipedia.org/wiki/MIT_License).

## ike-scan Vendor ID database ##

The file `data/ike-vendor-ids` come from the
[ike-scan](https://github.com/royhills/ike-scan) project.

It includes new fingerprints discovered during Internet-wide ISAKMP
scans. Those fingerprints are of course
[contributed to ike-scan](https://github.com/royhills/ike-scan/pull/18),
but have not been accepted by the project yet.

This file is licensed under
[GPL v3 license](https://www.gnu.org/licenses/gpl-3.0.en.html).

See also
[Use of ike-vendor-ids in other (open-source) softwares](https://github.com/royhills/ike-scan/issues/19).

## Natural Earth ##

The file `web/static/world-110m.json` has been generated with the
tools from [Geospatial Data Abstraction Library](http://www.gdal.org/)
and [World Atlas](https://github.com/mbostock/world-atlas.git) from
data published by [Natural Eath](http://www.naturalearthdata.com/) in
the public domain.

## CEA Logo ##

The file `web/static/cea.png` and `web/static/cea-white.png` are the
logo of the French Alternative Energies and Atomic Energy
Commission. It is not covered by IVRE license.


---

This file is part of IVRE. Copyright 2011 - 2016
[Pierre LALET](mailto:pierre.lalet@cea.fr)
